#include<stdio.h>
#include<complex>

void interpolad(int n,int m,  double *Y, double *X, int nr, double *x, double *res);
void interpolaD(int n,int m,  complex<double> *Y, double *X, int nr, double *x, complex<double> *res);


